Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.ebxml._2._1.query.impl
Class AssociationBranchTypeImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.EObjectImpl
                  org.eclipse.ohf.ihe.common.ebxml._2._1.query.impl.AssociationBranchTypeImpl

All Implemented Interfaces:
  org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.InternalEObject, AssociationBranchType

    public class AssociationBranchTypeImpl

extends org.eclipse.emf.ecore.impl.EObjectImpl
implements AssociationBranchType

An implementation of the model object 'Association Branch Type'.

The following features are implemented:

- `Association Filter`
- `External Link Filter`
- `External Identifier Filter`
- `Registry Object Query`
- `Registry Entry Query`
- `Association Query`
- `Classification Query`
- `Classification Scheme Query`
- `Classification Node Query`
- `Organization Query`
- `Auditable Event Query`
- `Registry Package Query`
- `Extrinsic Object Query`
- `Service Query`
- `User Branch`
- `Service Binding Branch`
- `Specification Link Branch`

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`org.eclipse.emf.ecore.InternalEObject.EStore`

Field Summary

Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`ELAST_EOBJECT_FLAG`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Method Summary
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetAssociationFilter(FilterType newAssociationFilter, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetAssociationQuery(AssociationQueryType newAssociationQuery, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetAuditableEventQuery(AuditableEventQueryType newAuditableEventQuery, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetClassificationNodeQuery(ClassificationNodeQueryType newClassificationNodeQuery, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetClassificationQuery(ClassificationQueryType newClassificationQuery, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetClassificationSchemeQuery(ClassificationSchemeQueryType newClassificationSchemeQuery, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetExternalIdentifierFilter(FilterType newExternalIdentifierFilter, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetExternalLinkFilter(FilterType newExternalLinkFilter, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetExtrinsicObjectQuery(ExtrinsicObjectQueryType newExtrinsicObjectQuery, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetOrganizationQuery(OrganizationQueryType newOrganizationQuery, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetRegistryEntryQuery(RegistryEntryQueryType newRegistryEntryQuery, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetRegistryObjectQuery(RegistryObjectQueryType newRegistryObjectQuery, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetRegistryPackageQuery(RegistryPackageQueryType newRegistryPackageQuery, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetServiceBindingBranch(ServiceBindingBranchType newServiceBindingBranch, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetServiceQuery(ServiceQueryType newServiceQuery, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetSpecificationLinkBranch(SpecificationLinkBranchType newSpecificationLinkBranch, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetUserBranch(UserBranchType newUserBranch, org.eclipse.emf.common.notify.NotificationChain msgs)`
`java.lang.Object` | `eGet(int featureID, boolean resolve, boolean coreType)`
`org.eclipse.emf.common.notify.NotificationChain` | `eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)`
`boolean` | `eIsSet(int featureID)`
`void` | `eSet(int featureID, java.lang.Object newValue)`
`void` | `eUnset(int featureID)`
`FilterType` | `getAssociationFilter()`
`AssociationQueryType` | `getAssociationQuery()`
`AuditableEventQueryType` | `getAuditableEventQuery()`
`ClassificationNodeQueryType` | `getClassificationNodeQuery()`
`ClassificationQueryType` | `getClassificationQuery()`
`ClassificationSchemeQueryType` | `getClassificationSchemeQuery()`
`FilterType` | `getExternalIdentifierFilter()`
`FilterType` | `getExternalLinkFilter()`
`ExtrinsicObjectQueryType` | `getExtrinsicObjectQuery()`
`OrganizationQueryType` | `getOrganizationQuery()`
`RegistryEntryQueryType` | `getRegistryEntryQuery()`
`RegistryObjectQueryType` | `getRegistryObjectQuery()`
`RegistryPackageQueryType` | `getRegistryPackageQuery()`
`ServiceBindingBranchType` | `getServiceBindingBranch()`
`ServiceQueryType` | `getServiceQuery()`
`SpecificationLinkBranchType` | `getSpecificationLinkBranch()`
`UserBranchType` | `getUserBranch()`
`void` | `setAssociationFilter(FilterType newAssociationFilter)`
`void` | `setAssociationQuery(AssociationQueryType newAssociationQuery)`
`void` | `setAuditableEventQuery(AuditableEventQueryType newAuditableEventQuery)`
`void` | `setClassificationNodeQuery(ClassificationNodeQueryType newClassificationNodeQuery)`
`void` | `setClassificationQuery(ClassificationQueryType newClassificationQuery)`
`void` | `setClassificationSchemeQuery(ClassificationSchemeQueryType newClassificationSchemeQuery)`
`void` | `setExternalIdentifierFilter(FilterType newExternalIdentifierFilter)`
`void` | `setExternalLinkFilter(FilterType newExternalLinkFilter)`
`void` | `setExtrinsicObjectQuery(ExtrinsicObjectQueryType newExtrinsicObjectQuery)`
`void` | `setOrganizationQuery(OrganizationQueryType newOrganizationQuery)`
`void` | `setRegistryEntryQuery(RegistryEntryQueryType newRegistryEntryQuery)`
`void` | `setRegistryObjectQuery(RegistryObjectQueryType newRegistryObjectQuery)`
`void` | `setRegistryPackageQuery(RegistryPackageQueryType newRegistryPackageQuery)`
`void` | `setServiceBindingBranch(ServiceBindingBranchType newServiceBindingBranch)`
`void` | `setServiceQuery(ServiceQueryType newServiceQuery)`
`void` | `setSpecificationLinkBranch(SpecificationLinkBranchType newSpecificationLinkBranch)`
`void` | `setUserBranch(UserBranchType newUserBranch)`

Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eIsProxy, eSetClass, eSetDeliver, eSetProxyURI`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eContainer, eContainingFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseAdd, eInverseRemove, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eStore, eUnset, eURIFragmentSegment, eVirtualGet, eVirtualGet, eVirtualIsSet, eVirtualSet, eVirtualUnset, toString`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Method Detail

### getAssociationFilter

    public FilterType getAssociationFilter()

  Specified by:
    `getAssociationFilter` in interface `AssociationBranchType`
  Returns:
    the value of the 'Association Filter' containment reference.
  See Also:
    `AssociationBranchType.setAssociationFilter(FilterType)`, `QueryPackage.getAssociationBranchType_AssociationFilter()`

### basicSetAssociationFilter

    public org.eclipse.emf.common.notify.NotificationChain basicSetAssociationFilter(FilterType newAssociationFilter,
                                                                                     org.eclipse.emf.common.notify.NotificationChain msgs)

### setAssociationFilter

    public void setAssociationFilter(FilterType newAssociationFilter)

  Specified by:
    `setAssociationFilter` in interface `AssociationBranchType`
  Parameters:
    `newAssociationFilter` - the new value of the 'Association Filter' containment reference.
  See Also:
    `AssociationBranchType.getAssociationFilter()`

### getExternalLinkFilter

    public FilterType getExternalLinkFilter()

  Specified by:
    `getExternalLinkFilter` in interface `AssociationBranchType`
  Returns:
    the value of the 'External Link Filter' containment reference.
  See Also:
    `AssociationBranchType.setExternalLinkFilter(FilterType)`, `QueryPackage.getAssociationBranchType_ExternalLinkFilter()`

### basicSetExternalLinkFilter

    public org.eclipse.emf.common.notify.NotificationChain basicSetExternalLinkFilter(FilterType newExternalLinkFilter,
                                                                                      org.eclipse.emf.common.notify.NotificationChain msgs)

### setExternalLinkFilter

    public void setExternalLinkFilter(FilterType newExternalLinkFilter)

  Specified by:
    `setExternalLinkFilter` in interface `AssociationBranchType`
  Parameters:
    `newExternalLinkFilter` - the new value of the 'External Link Filter' containment reference.
  See Also:
    `AssociationBranchType.getExternalLinkFilter()`

### getExternalIdentifierFilter

    public FilterType getExternalIdentifierFilter()

  Specified by:
    `getExternalIdentifierFilter` in interface `AssociationBranchType`
  Returns:
    the value of the 'External Identifier Filter' containment reference.
  See Also:
    `AssociationBranchType.setExternalIdentifierFilter(FilterType)`, `QueryPackage.getAssociationBranchType_ExternalIdentifierFilter()`

### basicSetExternalIdentifierFilter

    public org.eclipse.emf.common.notify.NotificationChain basicSetExternalIdentifierFilter(FilterType newExternalIdentifierFilter,
                                                                                            org.eclipse.emf.common.notify.NotificationChain msgs)

### setExternalIdentifierFilter

    public void setExternalIdentifierFilter(FilterType newExternalIdentifierFilter)

  Specified by:
    `setExternalIdentifierFilter` in interface `AssociationBranchType`
  Parameters:
    `newExternalIdentifierFilter` - the new value of the 'External Identifier Filter' containment reference.
  See Also:
    `AssociationBranchType.getExternalIdentifierFilter()`

### getRegistryObjectQuery

    public RegistryObjectQueryType getRegistryObjectQuery()

  Specified by:
    `getRegistryObjectQuery` in interface `AssociationBranchType`
  Returns:
    the value of the 'Registry Object Query' containment reference.
  See Also:
    `AssociationBranchType.setRegistryObjectQuery(RegistryObjectQueryType)`, `QueryPackage.getAssociationBranchType_RegistryObjectQuery()`

### basicSetRegistryObjectQuery

    public org.eclipse.emf.common.notify.NotificationChain basicSetRegistryObjectQuery(RegistryObjectQueryType newRegistryObjectQuery,
                                                                                       org.eclipse.emf.common.notify.NotificationChain msgs)

### setRegistryObjectQuery

    public void setRegistryObjectQuery(RegistryObjectQueryType newRegistryObjectQuery)

  Specified by:
    `setRegistryObjectQuery` in interface `AssociationBranchType`
  Parameters:
    `newRegistryObjectQuery` - the new value of the 'Registry Object Query' containment reference.
  See Also:
    `AssociationBranchType.getRegistryObjectQuery()`

### getRegistryEntryQuery

    public RegistryEntryQueryType getRegistryEntryQuery()

  Specified by:
    `getRegistryEntryQuery` in interface `AssociationBranchType`
  Returns:
    the value of the 'Registry Entry Query' containment reference.
  See Also:
    `AssociationBranchType.setRegistryEntryQuery(RegistryEntryQueryType)`, `QueryPackage.getAssociationBranchType_RegistryEntryQuery()`

### basicSetRegistryEntryQuery

    public org.eclipse.emf.common.notify.NotificationChain basicSetRegistryEntryQuery(RegistryEntryQueryType newRegistryEntryQuery,
                                                                                      org.eclipse.emf.common.notify.NotificationChain msgs)

### setRegistryEntryQuery

    public void setRegistryEntryQuery(RegistryEntryQueryType newRegistryEntryQuery)

  Specified by:
    `setRegistryEntryQuery` in interface `AssociationBranchType`
  Parameters:
    `newRegistryEntryQuery` - the new value of the 'Registry Entry Query' containment reference.
  See Also:
    `AssociationBranchType.getRegistryEntryQuery()`

### getAssociationQuery

    public AssociationQueryType getAssociationQuery()

  Specified by:
    `getAssociationQuery` in interface `AssociationBranchType`
  Returns:
    the value of the 'Association Query' containment reference.
  See Also:
    `AssociationBranchType.setAssociationQuery(AssociationQueryType)`, `QueryPackage.getAssociationBranchType_AssociationQuery()`

### basicSetAssociationQuery

    public org.eclipse.emf.common.notify.NotificationChain basicSetAssociationQuery(AssociationQueryType newAssociationQuery,
                                                                                    org.eclipse.emf.common.notify.NotificationChain msgs)

### setAssociationQuery

    public void setAssociationQuery(AssociationQueryType newAssociationQuery)

  Specified by:
    `setAssociationQuery` in interface `AssociationBranchType`
  Parameters:
    `newAssociationQuery` - the new value of the 'Association Query' containment reference.
  See Also:
    `AssociationBranchType.getAssociationQuery()`

### getClassificationQuery

    public ClassificationQueryType getClassificationQuery()

  Specified by:
    `getClassificationQuery` in interface `AssociationBranchType`
  Returns:
    the value of the 'Classification Query' containment reference.
  See Also:
    `AssociationBranchType.setClassificationQuery(ClassificationQueryType)`, `QueryPackage.getAssociationBranchType_ClassificationQuery()`

### basicSetClassificationQuery

    public org.eclipse.emf.common.notify.NotificationChain basicSetClassificationQuery(ClassificationQueryType newClassificationQuery,
                                                                                       org.eclipse.emf.common.notify.NotificationChain msgs)

### setClassificationQuery

    public void setClassificationQuery(ClassificationQueryType newClassificationQuery)

  Specified by:
    `setClassificationQuery` in interface `AssociationBranchType`
  Parameters:
    `newClassificationQuery` - the new value of the 'Classification Query' containment reference.
  See Also:
    `AssociationBranchType.getClassificationQuery()`

### getClassificationSchemeQuery

    public ClassificationSchemeQueryType getClassificationSchemeQuery()

  Specified by:
    `getClassificationSchemeQuery` in interface `AssociationBranchType`
  Returns:
    the value of the 'Classification Scheme Query' containment reference.
  See Also:
    `AssociationBranchType.setClassificationSchemeQuery(ClassificationSchemeQueryType)`, `QueryPackage.getAssociationBranchType_ClassificationSchemeQuery()`

### basicSetClassificationSchemeQuery

    public org.eclipse.emf.common.notify.NotificationChain basicSetClassificationSchemeQuery(ClassificationSchemeQueryType newClassificationSchemeQuery,
                                                                                             org.eclipse.emf.common.notify.NotificationChain msgs)

### setClassificationSchemeQuery

    public void setClassificationSchemeQuery(ClassificationSchemeQueryType newClassificationSchemeQuery)

  Specified by:
    `setClassificationSchemeQuery` in interface `AssociationBranchType`
  Parameters:
    `newClassificationSchemeQuery` - the new value of the 'Classification Scheme Query' containment reference.
  See Also:
    `AssociationBranchType.getClassificationSchemeQuery()`

### getClassificationNodeQuery

    public ClassificationNodeQueryType getClassificationNodeQuery()

  Specified by:
    `getClassificationNodeQuery` in interface `AssociationBranchType`
  Returns:
    the value of the 'Classification Node Query' containment reference.
  See Also:
    `AssociationBranchType.setClassificationNodeQuery(ClassificationNodeQueryType)`, `QueryPackage.getAssociationBranchType_ClassificationNodeQuery()`

### basicSetClassificationNodeQuery

    public org.eclipse.emf.common.notify.NotificationChain basicSetClassificationNodeQuery(ClassificationNodeQueryType newClassificationNodeQuery,
                                                                                           org.eclipse.emf.common.notify.NotificationChain msgs)

### setClassificationNodeQuery

    public void setClassificationNodeQuery(ClassificationNodeQueryType newClassificationNodeQuery)

  Specified by:
    `setClassificationNodeQuery` in interface `AssociationBranchType`
  Parameters:
    `newClassificationNodeQuery` - the new value of the 'Classification Node Query' containment reference.
  See Also:
    `AssociationBranchType.getClassificationNodeQuery()`

### getOrganizationQuery

    public OrganizationQueryType getOrganizationQuery()

  Specified by:
    `getOrganizationQuery` in interface `AssociationBranchType`
  Returns:
    the value of the 'Organization Query' containment reference.
  See Also:
    `AssociationBranchType.setOrganizationQuery(OrganizationQueryType)`, `QueryPackage.getAssociationBranchType_OrganizationQuery()`

### basicSetOrganizationQuery

    public org.eclipse.emf.common.notify.NotificationChain basicSetOrganizationQuery(OrganizationQueryType newOrganizationQuery,
                                                                                     org.eclipse.emf.common.notify.NotificationChain msgs)

### setOrganizationQuery

    public void setOrganizationQuery(OrganizationQueryType newOrganizationQuery)

  Specified by:
    `setOrganizationQuery` in interface `AssociationBranchType`
  Parameters:
    `newOrganizationQuery` - the new value of the 'Organization Query' containment reference.
  See Also:
    `AssociationBranchType.getOrganizationQuery()`

### getAuditableEventQuery

    public AuditableEventQueryType getAuditableEventQuery()

  Specified by:
    `getAuditableEventQuery` in interface `AssociationBranchType`
  Returns:
    the value of the 'Auditable Event Query' containment reference.
  See Also:
    `AssociationBranchType.setAuditableEventQuery(AuditableEventQueryType)`, `QueryPackage.getAssociationBranchType_AuditableEventQuery()`

### basicSetAuditableEventQuery

    public org.eclipse.emf.common.notify.NotificationChain basicSetAuditableEventQuery(AuditableEventQueryType newAuditableEventQuery,
                                                                                       org.eclipse.emf.common.notify.NotificationChain msgs)

### setAuditableEventQuery

    public void setAuditableEventQuery(AuditableEventQueryType newAuditableEventQuery)

  Specified by:
    `setAuditableEventQuery` in interface `AssociationBranchType`
  Parameters:
    `newAuditableEventQuery` - the new value of the 'Auditable Event Query' containment reference.
  See Also:
    `AssociationBranchType.getAuditableEventQuery()`

### getRegistryPackageQuery

    public RegistryPackageQueryType getRegistryPackageQuery()

  Specified by:
    `getRegistryPackageQuery` in interface `AssociationBranchType`
  Returns:
    the value of the 'Registry Package Query' containment reference.
  See Also:
    `AssociationBranchType.setRegistryPackageQuery(RegistryPackageQueryType)`, `QueryPackage.getAssociationBranchType_RegistryPackageQuery()`

### basicSetRegistryPackageQuery

    public org.eclipse.emf.common.notify.NotificationChain basicSetRegistryPackageQuery(RegistryPackageQueryType newRegistryPackageQuery,
                                                                                        org.eclipse.emf.common.notify.NotificationChain msgs)

### setRegistryPackageQuery

    public void setRegistryPackageQuery(RegistryPackageQueryType newRegistryPackageQuery)

  Specified by:
    `setRegistryPackageQuery` in interface `AssociationBranchType`
  Parameters:
    `newRegistryPackageQuery` - the new value of the 'Registry Package Query' containment reference.
  See Also:
    `AssociationBranchType.getRegistryPackageQuery()`

### getExtrinsicObjectQuery

    public ExtrinsicObjectQueryType getExtrinsicObjectQuery()

  Specified by:
    `getExtrinsicObjectQuery` in interface `AssociationBranchType`
  Returns:
    the value of the 'Extrinsic Object Query' containment reference.
  See Also:
    `AssociationBranchType.setExtrinsicObjectQuery(ExtrinsicObjectQueryType)`, `QueryPackage.getAssociationBranchType_ExtrinsicObjectQuery()`

### basicSetExtrinsicObjectQuery

    public org.eclipse.emf.common.notify.NotificationChain basicSetExtrinsicObjectQuery(ExtrinsicObjectQueryType newExtrinsicObjectQuery,
                                                                                        org.eclipse.emf.common.notify.NotificationChain msgs)

### setExtrinsicObjectQuery

    public void setExtrinsicObjectQuery(ExtrinsicObjectQueryType newExtrinsicObjectQuery)

  Specified by:
    `setExtrinsicObjectQuery` in interface `AssociationBranchType`
  Parameters:
    `newExtrinsicObjectQuery` - the new value of the 'Extrinsic Object Query' containment reference.
  See Also:
    `AssociationBranchType.getExtrinsicObjectQuery()`

### getServiceQuery

    public ServiceQueryType getServiceQuery()

  Specified by:
    `getServiceQuery` in interface `AssociationBranchType`
  Returns:
    the value of the 'Service Query' containment reference.
  See Also:
    `AssociationBranchType.setServiceQuery(ServiceQueryType)`, `QueryPackage.getAssociationBranchType_ServiceQuery()`

### basicSetServiceQuery

    public org.eclipse.emf.common.notify.NotificationChain basicSetServiceQuery(ServiceQueryType newServiceQuery,
                                                                                org.eclipse.emf.common.notify.NotificationChain msgs)

### setServiceQuery

    public void setServiceQuery(ServiceQueryType newServiceQuery)

  Specified by:
    `setServiceQuery` in interface `AssociationBranchType`
  Parameters:
    `newServiceQuery` - the new value of the 'Service Query' containment reference.
  See Also:
    `AssociationBranchType.getServiceQuery()`

### getUserBranch

    public UserBranchType getUserBranch()

  Specified by:
    `getUserBranch` in interface `AssociationBranchType`
  Returns:
    the value of the 'User Branch' containment reference.
  See Also:
    `AssociationBranchType.setUserBranch(UserBranchType)`, `QueryPackage.getAssociationBranchType_UserBranch()`

### basicSetUserBranch

    public org.eclipse.emf.common.notify.NotificationChain basicSetUserBranch(UserBranchType newUserBranch,
                                                                              org.eclipse.emf.common.notify.NotificationChain msgs)

### setUserBranch

    public void setUserBranch(UserBranchType newUserBranch)

  Specified by:
    `setUserBranch` in interface `AssociationBranchType`
  Parameters:
    `newUserBranch` - the new value of the 'User Branch' containment reference.
  See Also:
    `AssociationBranchType.getUserBranch()`

### getServiceBindingBranch

    public ServiceBindingBranchType getServiceBindingBranch()

  Specified by:
    `getServiceBindingBranch` in interface `AssociationBranchType`
  Returns:
    the value of the 'Service Binding Branch' containment reference.
  See Also:
    `AssociationBranchType.setServiceBindingBranch(ServiceBindingBranchType)`, `QueryPackage.getAssociationBranchType_ServiceBindingBranch()`

### basicSetServiceBindingBranch

    public org.eclipse.emf.common.notify.NotificationChain basicSetServiceBindingBranch(ServiceBindingBranchType newServiceBindingBranch,
                                                                                        org.eclipse.emf.common.notify.NotificationChain msgs)

### setServiceBindingBranch

    public void setServiceBindingBranch(ServiceBindingBranchType newServiceBindingBranch)

  Specified by:
    `setServiceBindingBranch` in interface `AssociationBranchType`
  Parameters:
    `newServiceBindingBranch` - the new value of the 'Service Binding Branch' containment reference.
  See Also:
    `AssociationBranchType.getServiceBindingBranch()`

### getSpecificationLinkBranch

    public SpecificationLinkBranchType getSpecificationLinkBranch()

  Specified by:
    `getSpecificationLinkBranch` in interface `AssociationBranchType`
  Returns:
    the value of the 'Specification Link Branch' containment reference.
  See Also:
    `AssociationBranchType.setSpecificationLinkBranch(SpecificationLinkBranchType)`, `QueryPackage.getAssociationBranchType_SpecificationLinkBranch()`

### basicSetSpecificationLinkBranch

    public org.eclipse.emf.common.notify.NotificationChain basicSetSpecificationLinkBranch(SpecificationLinkBranchType newSpecificationLinkBranch,
                                                                                           org.eclipse.emf.common.notify.NotificationChain msgs)

### setSpecificationLinkBranch

    public void setSpecificationLinkBranch(SpecificationLinkBranchType newSpecificationLinkBranch)

  Specified by:
    `setSpecificationLinkBranch` in interface `AssociationBranchType`
  Parameters:
    `newSpecificationLinkBranch` - the new value of the 'Specification Link Branch' containment reference.
  See Also:
    `AssociationBranchType.getSpecificationLinkBranch()`

### eInverseRemove

    public org.eclipse.emf.common.notify.NotificationChain eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd,
                                                                          int featureID,
                                                                          org.eclipse.emf.common.notify.NotificationChain msgs)

  Overrides:
    `eInverseRemove` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

  Specified by:
    `eGet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eGet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

  Specified by:
    `eSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eUnset

    public void eUnset(int featureID)

  Specified by:
    `eUnset` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eUnset` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eIsSet

    public boolean eIsSet(int featureID)

  Specified by:
    `eIsSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eIsSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD